import glob
import os
from charmhelpers.core import hookenv
from charmhelpers.contrib.cloudfoundry import services


def install_upstart_scripts(dirname='files/upstart',
                            pattern='*.conf',
                            use_charm_dir=True):
    if use_charm_dir is True:
        charm_dir = hookenv.charm_dir()
        dirname = os.path.join(charm_dir, dirname)
    for script in glob.glob("%s/%s" % (dirname, pattern)):
        filename = os.path.join(dirname, script)
        hookenv.log('Installing upstart job:' + filename, hookenv.DEBUG)
        services.install_template(filename, '/etc/init')
